People - Teams API
Bu içerik henüz dilinizde mevcut değil.
List all teams of a person
Заголовок раздела «List all teams of a person»List all teams of a person with a specific ID.
GET /people/:id/teamsResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "Application Development", "created_at": "2016-03-14T03:10:36-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:36-06:00", "id": 7, "disabled": false }, { "name": "Database Administration", "created_at": "2016-03-14T03:10:36-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:36-06:00", "id": 8, "disabled": false }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/people/:id/teams/disabled: List all disabled teams of a person with a specific ID/people/:id/teams/enabled: List all enabled teams of a person with a specific ID
Add a team to a person
Заголовок раздела «Add a team to a person»Add a link between a person with a specific ID and a team with a specific ID.
POST /people/:id/teams/:team_idResponse
Заголовок раздела «Response»Status: 200 OK{}Remove a team from a person
Заголовок раздела «Remove a team from a person»Remove the link between a person with a specific ID and a team with a specific ID.
DELETE /people/:id/teams/:team_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all teams from a person
Заголовок раздела «Remove all teams from a person»Remove all links between a person with a specific ID and its teams.
DELETE /people/:id/teamsResponse
Заголовок раздела «Response»Status: 204 No Content